Bug 87533 - FILEOPEN DOCX RTL text direction is wrong
Summary: FILEOPEN DOCX RTL text direction is wrong
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium major
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:6.0.0
Keywords: filter:docx
Depends on:
Blocks: RTL-CTL DOCX
  Show dependency treegraph
 
Reported: 2014-12-20 18:55 UTC by Urmas
Modified: 2017-10-20 14:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-12-20 18:55:47 UTC
+++ This bug was initially created as a clone of Bug #87532 +++

...direction of writing appears from left to right while it is from right to left & appear from right to left in Microsoft office.
Comment 1 Buovjaga 2015-01-13 18:36:34 UTC
Confirmed. Already happens in 3.3.0.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b3b4bbaf6cbd2226b659fea7d6ae473ccf84e9dd
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-12_06:13:44

Ubuntu 14.10 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7201fa0dddd7dd0352f69fd2b2b64efcb361ccad
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-11_23:28:55

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 2 yousifjkadom 2015-01-30 15:36:00 UTC
Hi. I test version 4.4.0.3 Bug still existing without fix.
Comment 3 mirkhalili 2015-08-01 11:52:18 UTC
I confirm it too.
LO ver 4.4.4.3 on Linux and windows have the bug as yet.
When I save .doc or .docx files in M$-Word and open them in the LO-Writer, direction of all styles and paragraphs are changed from RTL to LTR.
This bug exists for a long time in the LO and has a very bad affect on the M$-Office users to encourage them migrate to the great LO in all of the RTL languages such as Persian, Arabic, Hebrew, and so on!
Comment 4 yousifjkadom 2015-08-05 17:41:08 UTC
I test it on version 5.0.0.5 & still not fixed!!
Comment 5 yousifjkadom 2016-04-30 06:01:55 UTC Comment hidden (no-value)
Comment 6 yousifjkadom 2016-06-23 17:42:24 UTC Comment hidden (no-value)
Comment 7 yousifjkadom 2016-06-24 11:08:30 UTC
Hi. Bug still existing in version 5.1.4
Comment 8 Samuel Mehrbrodt (CIB) 2017-09-20 12:56:50 UTC
Bugdoc: attachment 111085 [details]
Comment 9 Serge Krot (CIB) 2017-09-28 10:14:17 UTC
Implemented:
* Added unit test - CppunitTest_sw_odfimport:testTdf87533_bidi with simplified original test document;
* Resolve issue using default empty state of properties (first patch);
* Resolve issue using explicitly initialization of properties based on default paragraph properties (second patch);

Additionally fixed:
* Parsing of the boolean value for LN_EG_SectPrContents_bidi;
* Improved coding in order to use more C++11 techniques.
Comment 10 Commit Notification 2017-10-19 20:33:08 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f89dcfd3ce8b0ea788589247fb8c1124af51d30d

related tdf#87533: handle LN_EG_SectPrContents_bidi correctly

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2017-10-19 20:34:43 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3c37b7d72fd6f0a426bf9a40ee2202dac04f486

tdf#87533 Fixed initialization of writing mode for paragraph

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.